libOpenThreads1-devel-1.5.0-12.17.i586.rpm


Advertisement

Description

libOpenThreads1-devel - The OpenThreads Headers

Property Value
Distribution openSUSE Tumbleweed
Repository Games all
Package filename libOpenThreads1-devel-1.5.0-12.17.i586.rpm
Package name libOpenThreads1-devel
Package version 1.5.0
Package release 12.17
Package architecture i586
Package type rpm
Category Development/Libraries/X11
Homepage http://openthreads.sourceforge.net/
License LGPL-2.1
Maintainer -
Download size 14.22 KB
Installed size 21.34 KB
The header files and libraries needed for developing programs using
OpenThreads.

Alternatives

Package Version Architecture Repository
libOpenThreads1-devel-1.5.0-12.17.x86_64.rpm 1.5.0 x86_64 Games
libOpenThreads1-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
gcc-c++ -
glibc-devel -
libOpenThreads1 -

Provides

Name Value
libOpenThreads-devel = 1.5.0
libOpenThreads1-devel = 1.5.0-12.17
libOpenThreads1-devel(x86-32) = 1.5.0-12.17
pkgconfig(openthreads) = 1.0

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libOpenThreads1-devel-1.5.0-12.17.i586.rpm
Source Package OpenSceneGraph1-1.2-12.17.src.rpm

Install Howto

  1. Add the Games repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/games/openSUSE_Tumbleweed/ games
  2. Install libOpenThreads1-devel rpm package:
    # zypper install libOpenThreads1-devel

Files

Path
/usr/include/OpenThreads/Barrier
/usr/include/OpenThreads/Condition
/usr/include/OpenThreads/Exports
/usr/include/OpenThreads/Mutex
/usr/include/OpenThreads/ScopedLock
/usr/include/OpenThreads/Thread
/usr/lib/libOpenThreads.so
/usr/lib/pkgconfig/openthreads.pc

Changelog

2018-07-06 - stefan.bruens@rwth-aachen.de
- Fix Conflicts of -devel subpackage, multiple OSG development
packages are not co-installable.
2016-08-03 - jengelh@inai.de
- Trim summary/description from useless words. Update RPM groups.
2016-06-26 - rpm@fthiessen.de
- Added fix-boolean-to-pointer.patch to fix build error with gcc6.
2015-11-23 - rpm@fthiessen.de
- Fixed Build with newer openSUSE versions:
* some spec file fixed (correct license etc required)
* modified OpenSceneGraph-1.2-giflib.patch to build also with
giflib >= 5.1. Already fixed upstream.
2012-05-11 - joop.boonen@opensuse.org
- renamed the package names as they confict with the current
stable OpenSceneGraph
* after this levelhead osgART osgcal can use the current
stable OpenSceneGraph
- added gcc 4.7 patch
- I think this package should be deleted as this version is "antique"
2012-02-19 - jengelh@medozas.de
- Remove redundant tags/sections from specfile, remove unwanted
explicit Requires on libs
2011-04-11 - prusnak@opensuse.org
- spec cleanup, add provides for devel packages to fix dependencies
2011-02-02 - adam@mizerski.pl
- small makefile fix
2010-05-19 - adam@mizerski.pl
- speed up the build by adding %{?_smp_mflags} to */Make/makedirrules
2010-05-17 - adam@mizerski.pl
- removed debugging

See Also

Package Description
libOpenThreads20-3.4.1-5.22.i586.rpm Shared libraries for OpenSceneGraph
libOpenThreads20-3.4.1-5.22.x86_64.rpm Shared libraries for OpenSceneGraph
libOpenThreads20-devel-3.4.1-5.22.i586.rpm OpenSceneGraph development files
libOpenThreads20-devel-3.4.1-5.22.x86_64.rpm OpenSceneGraph development files
libOpenThreads21-3.6.3-33.2.i586.rpm Shared libraries for OpenSceneGraph
libOpenThreads21-3.6.3-33.2.x86_64.rpm Shared libraries for OpenSceneGraph
libPocoCppParser60-1.9.0-2.20.i586.rpm C++ Framework for Network-based Applications
libPocoCppParser60-1.9.0-2.20.x86_64.rpm C++ Framework for Network-based Applications
libPocoCrypto60-1.9.0-2.20.i586.rpm C++ Framework for Network-based Applications
libPocoCrypto60-1.9.0-2.20.x86_64.rpm C++ Framework for Network-based Applications
libPocoData60-1.9.0-2.20.i586.rpm C++ Framework for Network-based Applications
libPocoData60-1.9.0-2.20.x86_64.rpm C++ Framework for Network-based Applications
libPocoDataMySQL60-1.9.0-2.20.i586.rpm C++ Framework for Network-based Applications
libPocoDataMySQL60-1.9.0-2.20.x86_64.rpm C++ Framework for Network-based Applications
libPocoDataODBC60-1.9.0-2.20.i586.rpm C++ Framework for Network-based Applications
Advertisement
Advertisement